% ECON245
% Armington Model with Worker Mobility

clc
clear
close all

% -- Call Parameters
run param.m

%  -- Select Labot Supply Module
% p.mobility = 0;%Free
p.mobility = 1;%Frechet


% -- Scenario 1: tau = 2

% Trade costs
tau = ones(p.S,p.S)*2;
tau(1:p.S+1:end) = 1;

% Equilibrium
[w_1,L_1] = eqm(p,tau)


% -- Scenario 1: tau = 1

% Trade costs
tau = tau./tau;

% Equilibrium
[w_2,L_2] = eqm(p,tau)


% -- Check Regional Population Sums to Total
assert(abs(log(sum(L_1)./p.Lbar)) < 1e-4)
assert(abs(log(sum(L_2)./p.Lbar)) < 1e-4)


% -- Analysis
L_change = L_2./L_1;

plot(p.A,L_change)
xlabel('Productivity of Location')
ylabel('Population Change')